## laptop-mode-tools 1.04

=== Makefile ===

clean:
	rm -f `find . -name \*~`
	
dist:
	rm -rf ../dist/laptop-mode-tools-`cat VERSION`
	mkdir -p ../dist/laptop-mode-tools-`cat VERSION`
	cp -a * ../dist/laptop-mode-tools-`cat VERSION`
	VERSION=`cat VERSION` && cd ../dist && tar cvzf laptop-mode-tools_$$VERSION.tar.gz laptop-mode-tools-$$VERSION
	rm -rf ../dist/laptop-mode-tools-`cat VERSION`

install:
	./install.sh

## laptop-mode-tools 1.05

=== Makefile ===

default:
	@echo "Please specify a make target: install, dist, clean."
	
clean:
	rm -f `find . -name \*~`
	
dist:
	rm -rf ../dist/laptop-mode-tools-`cat LMTVERSION`
	mkdir -p ../dist/laptop-mode-tools-`cat LMTVERSION`
	cp -a * ../dist/laptop-mode-tools-`cat LMTVERSION`
	@# Remove Subversion stuff before distributing! 
	rm -rf `find ../dist/laptop-mode-tools-\`cat LMTVERSION\` -name .svn`
	VERSION=`cat LMTVERSION` && cd ../dist && tar cvzf laptop-mode-tools_$$VERSION.tar.gz laptop-mode-tools-$$VERSION
	rm -rf ../dist/laptop-mode-tools-`cat LMTVERSION`

install:
	./install.sh

## laptop-mode-tools 1.32

=== Makefile ===

default:
	@echo "Please specify a make target: install, dist, clean."
	
clean:
	rm -f `find . -name \*~`

# Get the version from usr/sbin/laptop_mode.
VERSION :=$(shell cat usr/sbin/laptop_mode | grep "LMTVERSION=" | sed 's/LMTVERSION=//g')

version:
	@echo $(VERSION)

dist:
	cat Documentation/revision-history.html | grep -v '<!--NOTINTEXT-->' | html2text -nobs -width 76 > Documentation/revision-history.txt
	cat Documentation/faq.html | grep -v '<!--NOTINTEXT-->' | html2text -nobs -width 76 > Documentation/faq.txt
	rm -rf ../dist/laptop-mode-tools-$(VERSION)
	mkdir -p ../dist/laptop-mode-tools-$(VERSION)
	cp -a * ../dist/laptop-mode-tools-$(VERSION)
	@# Remove Subversion stuff before distributing! 
	rm -rf `find ../dist/laptop-mode-tools-$(VERSION) -name .svn`
	cd ../dist && tar cvzf laptop-mode-tools_$(VERSION).tar.gz laptop-mode-tools-$(VERSION)
	rm -rf ../dist/laptop-mode-tools-$(VERSION)
	# If you need to do some stuff after a release, but you don't want to make this
	# public, put a laptop-mode-tools-postmakedist somewhere in your path.
	if [ `which laptop-mode-tools-postmakedist` ] ; then laptop-mode-tools-postmakedist $(VERSION) ; fi

install:
	./install.sh

## laptop-mode-tools 1.34

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,6 @@
 	@echo $(VERSION)
 
 dist:
-	cat Documentation/revision-history.html | grep -v '<!--NOTINTEXT-->' | html2text -nobs -width 76 > Documentation/revision-history.txt
-	cat Documentation/faq.html | grep -v '<!--NOTINTEXT-->' | html2text -nobs -width 76 > Documentation/faq.txt
 	rm -rf ../dist/laptop-mode-tools-$(VERSION)
 	mkdir -p ../dist/laptop-mode-tools-$(VERSION)
 	cp -a * ../dist/laptop-mode-tools-$(VERSION)

## laptop-mode-tools 1.55

=== debian/changelog ===
laptop-mode-tools (1.55-2) stable-proposed-updates; urgency=low

  * Fix compatibility with 3.x kernels (Closes: #647563)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 08 Feb 2012 18:14:39 +0530

laptop-mode-tools (1.55-1) unstable; urgency=low

  * Change address to my official Debian address
  * New Upstream Release
    + On Intel HD Audio, revert power saving changes when switching back to AC.
      Thanks to Christoph Langguth for the report and the patch
    + Install the pm-utils hook as 01laptop-mode to ensure proper execution in
      reverse ordering
    + Add wireless-power module, for generic non-Intel wireless interfaces that
      support the iwconfig "power" option.
    + Fixed upgrade path for configurations which didn't have the LM/NOLM
      options in the Intel SATA Power Management module config.
    + Add flush-* to ignored programs for lm-profiler, because it is the
      successor to pdflush.
    + Fix WoL regression introduced by DISABLE_ETHERNET_ON_BATTERY. Thanks
      to Matthias Dienstbier for the report and the patch
    + Update comments in wireless-iwl-power.conf. (Debian BTS: #580730)
    + Check for old hook in pm-utils and remove it
    + Update manpage for all missing modules and options.
  * Switch source format to 3.0 (quilt) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 05 Jun 2010 13:54:09 +0530

laptop-mode-tools (1.54-1) unstable; urgency=low

  * New Upstream Release
    + Add new exec-commands module
    + Fix wireless-iwl module activation
    + Add generic interface for ignore_nice_load
    + Document cpufreq frequency scaling behavior for older P4 processors
    + Add support for bluetooth on IBM Thinkpads using the thinkpad_acpi driver
    + Don't spam syslog if VERBOSE_OUTPUT is not enabled (Closes: #567766)
  * Add ${misc:Depends} to make it lintian clean
  * Update Standards Version to 3.8.4 (No changes required) 

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Wed, 17 Mar 2010 16:38:32 +0530

laptop-mode-tools (1.53-1) unstable; urgency=low

  * New Upstream Release 
    + Add global enable/disable switch for laptop-mode-tools
    + Add scheduler power saving module for SMT processors. Thanks to John
      Reilly.
    + Add a new "Auto Modules" mode which enables all modules whitelisted as
      auto with a single configuration setting, ENABLE_AUTO_MODULES.
    + Add LM/NOLM option for Intel SATA Power Management
    + Do a check before trying to write to the SuperHE Control File

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Thu, 07 Jan 2010 16:59:22 +0530

laptop-mode-tools (1.52-1) unstable; urgency=low

  * New Upstream Release
    + Initialize DEBUG to 0 by default. THanks to Matthijs Kooijman for
      pointing it out. (Closes: #546371)
    + Add an option to completely disable ethernet devices when on battery.
    + Introduce hooks to enable debug mode for individual modules
    + Use iwconfig to determine device type for iwlwifi devices also
    + Collect the correct exit code for iwconfig execution.
    + Use iwconfig in wireless-iwl-power. Thanks to Darren Hoo for spotting it
    + Handle spaces in mount point names. Thanks to Louis Simard for the patch
    + Clarify about Global Debug mode and Module Specific Debug mode.
    + Fix incorrect variable reference in video-out module. Thanks to Hans
      Werner for noticing that.
  * laptop-mode-tools.preinst: remove (and backup) the obsolete
    /etc/pm/sleep.d/99laptop-mode config file. Thanks to Tormod
    Volden for the fix. (LP: #384875)

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Thu, 08 Oct 2009 15:05:44 +0530

laptop-mode-tools (1.51-1) unstable; urgency=low

  * New Upstream Release
    + Add option to blacklist usb devices by their device id.
      Thanks to ich@phuk.ath.cx for the patch
    + Trigger timer change for power mgmt by doing a device open/close
      The open/close operation can fail if the audio device is busy.
      Since this failure is non-fatal (worst case is that the timer changes
      don't get activated), we don't bother if it was successful or not.
    + Add support for EeePC FSB Control. Thanks to James Rayner
    + Update iwlwifi power modes. Thanks to Clemens Buchacher
      (Closes: #540639)
    + Use the standard pm-hibernate script from pm-utils for hibernation
      (Closes: #541447)
    + Check if wireless device is disabled before attempting to power
      configure it. Thanks to Clemens Buchacher. (Closes: #541997)
    + On speed change, an ethernet device can lose connectivity. Document
      that in the config file.
  * debian/watch
    + Scan for the correct link in watch file.
  * debian/control
    + Add Recommends for pm-utils. Closes: #541447
    + Format the description
    + Update Standards Version to 3.8.3 (No changes required)
  * debian/rules
    + Add a get-orig-source target. It can fetch the relevant source tarball
      parsing the changelog
  * Change one line description since laptop-mode-tools does more than what
    the old description had
  * Add a README.source file explaining on how to get the source

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Wed, 02 Sep 2009 15:31:19 +0530

laptop-mode-tools (1.50-1) unstable; urgency=low

  * New Upstream Release 1.50:
    + Ship pm-utils hooks in /usr/lib/ and not in /etc/pm/
      Distributions will always want to have customized settings in /etc
      and default upstream settings in /usr/lib. See LP: #384875
    + Fix incorrect explanation of Intel HDA Power Savings. Closes: #532733.
    + Don't clutter screen with print messages.
    + Add patch from Mulyadi Santosa that adds ability to lm-profiler to
      show read/write frequency of each collected program. Thank you.
    + Enhance usb-autosuspend module to be executed under conditions. Also
      explain the weirdness of broken usb drivers. Closes: # 535051
    + Do the test comparision of integeres using string operators.
      Closes: #535650.
    + Run pidof with the -x Script Mode switch. Thanks Matthijs Kooijman


=== debian/control ===
Source: laptop-mode-tools
Section: utils
Priority: optional
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Homepage: http://www.samwel.tk/laptop_mode/
Uploaders: Bart Samwel <bart@samwel.tk>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.4

Package: laptop-mode-tools
Architecture: all
Depends: ${misc:Depends}, lsb-base (>= 3.0-10), util-linux (>= 2.13), psmisc
Recommends: acpid | apmd | pbbuttonsd | pmud, hdparm, sdparm, hal, ethtool, net-tools, wireless-tools, pm-utils
Conflicts: noflushd
Description: Tools for Power Savings based on battery/AC status
 Laptop mode is a Linux kernel feature that allows your laptop to save 
 considerable power, by allowing the hard drive to spin down for longer 
 periods of time. This package contains the userland scripts that are 
 needed to enable laptop mode.
 .
 It includes support for automatically enabling laptop mode when the
 computer is working on batteries. It also supports various other power
 management features, such as starting and stopping daemons depending on
 power mode, automatically hibernating if battery levels are too low, and
 adjusting terminal blanking and X11 screen blanking
 .
 laptop-mode-tools uses the Linux kernel's Laptop Mode feature and thus
 is also used on Desktops and Servers to conserve power

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Based on a sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modifications Copyright 2008 by Bart Samwel

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	uscan --force-download --rename --repack\
		--download-version=$(DEB_UPSTREAM_VERSION) --destdir=.

configure: configure-stamp
configure-stamp:
	dh_testdir
	
	# Nothing to do.
	
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	cp etc/init.d/laptop-mode debian/laptop-mode-tools.laptop-mode.init
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f debian/laptop-mode-tools.laptop-mode.init
	rm -f build-stamp configure-stamp
	dh_clean 

DESTDIR=$(CURDIR)/debian/laptop-mode-tools

INSTALL=install -o root -g root

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/laptop-mode-tools.
	install -m755 -d $(DESTDIR)/etc/laptop-mode
	install -m755 -d $(DESTDIR)/etc/acpi/events
	install -m755 -d $(DESTDIR)/etc/acpi/actions
	install -m755 -d $(DESTDIR)/usr/sbin
	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/modules
	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
	install -m755 -d $(DESTDIR)/etc/apm/event.d
	install -m755 -d $(DESTDIR)/etc/power/scripts.d
	install -m755 -d $(DESTDIR)/etc/power/event.d
	install -m755 -d $(DESTDIR)/usr/lib/pm-utils/sleep.d
	install -m755 -d $(DESTDIR)/etc/laptop-mode/batt-start
	install -m755 -d $(DESTDIR)/etc/laptop-mode/batt-stop
	install -m755 -d $(DESTDIR)/etc/laptop-mode/lm-ac-start
	install -m755 -d $(DESTDIR)/etc/laptop-mode/lm-ac-stop
	install -m755 -d $(DESTDIR)/etc/laptop-mode/nolm-ac-start
	install -m755 -d $(DESTDIR)/etc/laptop-mode/nolm-ac-stop
	install -m755 -d $(DESTDIR)/etc/laptop-mode/conf.d
	install -m755 -d $(DESTDIR)/etc/laptop-mode/modules
	install -m644 etc/laptop-mode/laptop-mode.conf $(DESTDIR)/etc/laptop-mode/laptop-mode.conf
	install -m644 etc/laptop-mode/conf.d/* $(DESTDIR)/etc/laptop-mode/conf.d
	install -m755 etc/acpi/actions/* $(DESTDIR)/etc/acpi/actions
	install -m644 etc/acpi/events/* $(DESTDIR)/etc/acpi/events
	install -m755 etc/apm/event.d/* $(DESTDIR)/etc/apm/event.d
	install -m755 etc/power/scripts.d/* $(DESTDIR)/etc/power/scripts.d
	install -m755 etc/power/event.d/* $(DESTDIR)/etc/power/event.d
	install -m755 usr/lib/pm-utils/sleep.d/* $(DESTDIR)/usr/lib/pm-utils/sleep.d
	install -m755 usr/sbin/laptop_mode $(DESTDIR)/usr/sbin
	install -m755 usr/sbin/lm-syslog-setup $(DESTDIR)/usr/sbin
	install -m755 usr/sbin/lm-profiler $(DESTDIR)/usr/sbin
	install -m755 usr/share/laptop-mode-tools/modules/* $(DESTDIR)/usr/share/laptop-mode-tools/modules
	install -m755 usr/share/laptop-mode-tools/module-helpers/* $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers

# Build architecture-independent files here.
binary-arch: build install

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Documentation/revision-history.txt
	dh_installdocs
	dh_installinit --name laptop-mode -- defaults 99
	dh_installman man/*
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## laptop-mode-tools 1.57

=== debian/changelog ===
laptop-mode-tools (1.57-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/rules: Do not ship acpi/apm scripts (we handle that ourselves)
  * Drop previous Ubuntu changes for /etc/default/laptop-mode. We don't
    install this package by default any more for a long time, so if people
    install it manually they presumably want to install it. 1.53 added its own
    global enable/disable switch, so this is obsolete, too.
  * This version removes the file conflict with pm-utils. (LP: #638307)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Mar 2011 17:40:32 +0100

laptop-mode-tools (1.57-1) unstable; urgency=low

  * New Upstream Release
    + Pass calling application's arguments to the main function. Thanks to
      Radek for the report and the patch
    + Use governor policy from the config file. Thanks to Michael Orlov for
      the report.
    + Enable ENABLE_AUTO_MODULES by default. When a user installs the package,
      the first immediate expectation is to see some changes
    + USB suspend interface has changed with kernels 2.6.35 and above.
      (Closes: #589000)
    + Add support for Linux Runtime Power Management (Closes: #592661)
    + On many other distributions, wireless-tools packages is still old and
      does not return proper exit status on failures. Thanks to Luca Landolfi
      for the patch.
    + Add support to blacklist USB Devices by types. Thanks to Simon Que for
      the patch
    + Re-initialize dev_path before the next iteration. Thanks to Faustus for
      the bug report and the patch (LP: #662924)
    + ENABLE_LAPTOP_MODE_TOOLS was ignore because of wrong check. Thanks to
      Matus Harvan for reporting this. (Closes: #602278)
    + Add support to invoke laptop-mode-tools with hotplug events. This
      currently only has support for the usb-autosuspend module.
      Thanks to Simon Que for the patch
    + Add locking support using flock. (Closes: #566613)
    + Add 99-laptop-mode.rules to trap multiple kernel events
  * Drop pm-utils from recommends since it conflicts with us (Closes: #614024) 
  * Bump Standards Version to 3.9.1 (No changes required) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 27 Feb 2011 13:28:48 +0530

laptop-mode-tools (1.52-1ubuntu2) lucid; urgency=low

  * etc/init.d/laptop-mode, usr/lib/pm-utils/sleep.d/99laptop-mode,
    usr/lib/pm-utils/power.d/laptop-mode: stop checking
    /etc/default/acpi-support for disabling of laptop-mode-tools; this isn't
    policy that should be set by acpi-support.  LP: #244838.
  * promote sdparm suggests back to recommends, now that laptop-mode-tools
    is in universe.
  * stop autocreating /etc/default/laptop-mode-tools on powerpc since we
    don't use it anymore, and clean up any files that we did automatically
    create.
  * etc/laptop-mode/laptop-mode.conf: don't diverge from Debian on the
    hard drive spindown time
  * finally, revert the changes to laptop-mode itself so that it runs as
    designed when it's installed, and check for ENABLE_LAPTOP_MODE != false
    instead of ENABLE_LAPTOP_MODE = true.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 26 Feb 2010 19:09:22 -0800

laptop-mode-tools (1.52-1ubuntu1) lucid; urgency=low

  [ Whoopie ]
  * Merge with Debian (LP: #422620; LP: #469517, #308065, #307947),
    remaining changes:
    + Drop sdparm Recommends to Suggests: It is in universe.
    + etc/laptop-mode/laptop-mode.conf: change default spindown time and
      power management modes.
    + Add/Modify pm-utils hooks to ensure laptop-mode is running as
      expected after power change or thaw/resume
      - power.d/laptop-mode: runs laptop-mode on power change
      - sleep.d/99laptop-mode: don't run laptop-mode if disabled in
        /etc/default/laptop-mode
    + etc/init.d/laptop-mode: Check if laptop mode is disabled in
      /etc/default/laptop-mode (that's the file laptop_mode looks into, too,
      but it incorrectly evaluates the ENABLE_LAPTOP_MODE setting) as well
      as in /etc/default/acpi-support.
    + usr/sbin/laptop_mode: Do not parse arguments, ignore "force" and
      let start/stop mean enable/disable.
    + /usr/sbin/laptop_mode: Do not read $ACTIVATE_WITH_POSSIBLE_DATA_LOSS
      from /var/run/laptop-mode-state to see if state has changed.
    + debian/rules: Do not ship acpi/apm scripts (we handle that ourselves)
    + debian/laptop-mode-tools.preinst: Remove any old acpi/apm scripts
    + debian/laptop-mode-tools.postinst: Create /etc/default/laptop-mode
      (with ENABLE_LAPTOP_MODE=false) if the file does not exist yet and we
      are on ppc.
    + Also accept "stop" as second argument since the init script
      calls laptop_mode with "init stop"

  [ Steve Langasek ]
  * Dropped changes, merged in Debian: sleep.d/96laptop-mode: superseded by
    sleep.d/99laptop-mode

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 01 Dec 2009 16:07:49 -0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: laptop-mode-tools
 Section: utils
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Homepage: http://www.samwel.tk/laptop_mode/
 Uploaders: Bart Samwel <bart@samwel.tk>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: laptop-mode-tools
 Architecture: all
 Depends: ${misc:Depends}, lsb-base (>= 3.0-10), util-linux (>= 2.13), psmisc
-Recommends: acpid | apmd | pbbuttonsd | pmud, hdparm, sdparm, hal, ethtool, net-tools, wireless-tools, pm-utils
+Recommends: acpid | apmd | pbbuttonsd | pmud, hdparm, sdparm, hal, ethtool, net-tools, wireless-tools, udev
 Conflicts: noflushd
 Description: Tools for Power Savings based on battery/AC status
  Laptop mode is a Linux kernel feature that allows your laptop to save 
@@ -27,4 +28,3 @@
  .
  laptop-mode-tools uses the Linux kernel's Laptop Mode feature and thus
  is also used on Desktops and Servers to conserve power
-

=== debian/rules ===
--- 
+++ 
@@ -47,14 +47,12 @@
 
 	# Add here commands to install the package into debian/laptop-mode-tools.
 	install -m755 -d $(DESTDIR)/etc/laptop-mode
-	install -m755 -d $(DESTDIR)/etc/acpi/events
-	install -m755 -d $(DESTDIR)/etc/acpi/actions
 	install -m755 -d $(DESTDIR)/usr/sbin
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/modules
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
-	install -m755 -d $(DESTDIR)/etc/apm/event.d
 	install -m755 -d $(DESTDIR)/etc/power/scripts.d
 	install -m755 -d $(DESTDIR)/etc/power/event.d
+	install -m755 -d $(DESTDIR)/lib/udev/rules.d
 	install -m755 -d $(DESTDIR)/usr/lib/pm-utils/sleep.d
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/batt-start
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/batt-stop
@@ -66,11 +64,9 @@
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/modules
 	install -m644 etc/laptop-mode/laptop-mode.conf $(DESTDIR)/etc/laptop-mode/laptop-mode.conf
 	install -m644 etc/laptop-mode/conf.d/* $(DESTDIR)/etc/laptop-mode/conf.d
-	install -m755 etc/acpi/actions/* $(DESTDIR)/etc/acpi/actions
-	install -m644 etc/acpi/events/* $(DESTDIR)/etc/acpi/events
-	install -m755 etc/apm/event.d/* $(DESTDIR)/etc/apm/event.d
 	install -m755 etc/power/scripts.d/* $(DESTDIR)/etc/power/scripts.d
 	install -m755 etc/power/event.d/* $(DESTDIR)/etc/power/event.d
+	install -m644 etc/rules/99-laptop-mode.rules $(DESTDIR)/lib/udev/rules.d
 	install -m755 usr/lib/pm-utils/sleep.d/* $(DESTDIR)/usr/lib/pm-utils/sleep.d
 	install -m755 usr/sbin/laptop_mode $(DESTDIR)/usr/sbin
 	install -m755 usr/sbin/lm-syslog-setup $(DESTDIR)/usr/sbin

## laptop-mode-tools 1.58

=== debian/changelog ===
laptop-mode-tools (1.58-3ubuntu1) precise; urgency=low

  * Merge with Debian testing. Remaining Ubuntu changes:
    - debian/rules: Do not ship obsolete acpi/apm scripts.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Oct 2011 12:16:45 +0200

laptop-mode-tools (1.58-3) unstable; urgency=low

  * [c6f2f64] Don't call true which forks a subshell.
    Thanks to Cristian Ionescu-Idbohrn
  * [f2d4e70] Use exit instead of return.
    Thanks to Eric Belanger (Closes: 636251)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 02 Aug 2011 23:24:48 +0530

laptop-mode-tools (1.58-2) unstable; urgency=low

  * [fa94d77] Check for files instead of kernel version numbers.
    Thanks to Ben Hutchings (Closes: 632311)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 31 Jul 2011 20:45:13 +0530

laptop-mode-tools (1.58-1) unstable; urgency=low

  * New upstream release 
    + Initialize the PATH variable within us. This helps when our caller did
      not have a proper environment
    + Enable new in-kernel polling mechanism for block devices
      (Closes: #617705, #574867)
    + Check for kernel's native suspend functionality
    + Support execution of complex commands. Thanks to Changaco for the patch
    + Add new module nmi-watchdog to handle NMI Watchdog related power
      savings. Thanks to Quentin Denis for the report
    + Fix error messages during early boot if /usr is on a different
      partition. (Closes: #624678)
    + Add support for new Linux 3.x kernels. (Closes: #6628764)
    + Fix locking problems when battery polling daemon is enabled
  * Install lmt-udev into /lib/udev 
  * Update Standards Version to 3.9.2 (No changes required) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 23 Jul 2011 23:33:34 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Uploaders: Bart Samwel <bart@samwel.tk>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: laptop-mode-tools
 Architecture: all

## laptop-mode-tools 1.60

=== debian/changelog ===
laptop-mode-tools (1.60-1ubuntu1) precise; urgency=low

  * Merge with Debian testing. (LP: #906291) Remaining Ubuntu changes:
    - debian/rules: Do not ship obsolete acpi/apm scripts.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Mon, 19 Dec 2011 19:24:23 +0700

laptop-mode-tools (1.60-1) unstable; urgency=low

  * [709f521] New Upstream Release
    (Closes: 647564)
    - [8389588] Change Intel HDA Audio's default power save timeout to 2 seconds
    - [cc40bd1] usb autosuspend black-/whitelist arg in quotes.
      Thanks to Simon Que
    - [5a4e08a] add readme-debugging.txt
    - [be147e0] Helper tools to provide suspend/hibernate functionality
    - [49afd31] Kill lm-polling-daemon when init stop is called
    - [68b0ff5] Add pm-helper tool to take care of suspend / hibernate.
    - [c7e3038] Use native hibernation helper tool from LMT
    - [a569b29] Check for block device's existence.
      Thanks to Simon Que (Chromium Project)
    - [ab704b2] Use proper device for iwconfig.
      Thanks to bs.net (Closes: 639388)
  * [8fa914a] Drop some of the Recommends to Suggests.
    Thanks to Clea F. Rees (Closes: #640155)
  * [75c51b3] Drop duplicate changelog

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 05 Nov 2011 12:59:34 +0530

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,10 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+	
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -67,6 +70,7 @@
 	install -m755 etc/power/scripts.d/* $(DESTDIR)/etc/power/scripts.d
 	install -m755 etc/power/event.d/* $(DESTDIR)/etc/power/event.d
 	install -m644 etc/rules/99-laptop-mode.rules $(DESTDIR)/lib/udev/rules.d
+	install -m755 etc/rules/lmt-udev $(DESTDIR)/lib/udev/lmt-udev
 	install -m755 usr/lib/pm-utils/sleep.d/* $(DESTDIR)/usr/lib/pm-utils/sleep.d
 	install -m755 usr/sbin/laptop_mode $(DESTDIR)/usr/sbin
 	install -m755 usr/sbin/lm-syslog-setup $(DESTDIR)/usr/sbin

## laptop-mode-tools 1.61

=== debian/changelog ===
laptop-mode-tools (1.61-2) unstable; urgency=low

  * [225fd1e] Disable ethernet based on multiple reports of driver failure
    (Closes: #677638)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 15 Dec 2012 20:34:11 +0530

laptop-mode-tools (1.61-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * [3f9ea15] Removed laptop-mode-tools.preinst
  * [8bd5355] update debian/patches/debian-changes
  * [16bc3f5] calculate design_capacity_warning on machines/arches where it
    is not readiliy available
  * [28b8d23] Add support for non-deafult customized settings.
    Thanks to Simon Que - Chromium Project
  * [7a99e68] Add parallel execution for the modules
  * [0ab6ef0] Handle devices with persistent device naming
    (Closes: #664267)

  [ Simon Que ]
  * [f3de2d6] hdparm skips SSDs for power management

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 20 May 2012 15:29:03 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: laptop-mode-tools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Homepage: http://www.samwel.tk/laptop_mode/
 Uploaders: Bart Samwel <bart@samwel.tk>
 DM-Upload-Allowed: yes
@@ -12,7 +11,8 @@
 Package: laptop-mode-tools
 Architecture: all
 Depends: ${misc:Depends}, lsb-base (>= 3.0-10), util-linux (>= 2.13), psmisc
-Recommends: acpid | apmd | pbbuttonsd | pmud, hdparm, sdparm, hal, ethtool, net-tools, wireless-tools, udev
+Recommends: hdparm, sdparm, ethtool, net-tools, wireless-tools, udev
+Suggests: acpid | apmd | pbbuttonsd | pmud, hal
 Conflicts: noflushd
 Description: Tools for Power Savings based on battery/AC status
  Laptop mode is a Linux kernel feature that allows your laptop to save 
@@ -28,3 +28,4 @@
  .
  laptop-mode-tools uses the Linux kernel's Laptop Mode feature and thus
  is also used on Desktops and Servers to conserve power
+

=== debian/rules ===
--- 
+++ 
@@ -50,9 +50,12 @@
 
 	# Add here commands to install the package into debian/laptop-mode-tools.
 	install -m755 -d $(DESTDIR)/etc/laptop-mode
+	install -m755 -d $(DESTDIR)/etc/acpi/events
+	install -m755 -d $(DESTDIR)/etc/acpi/actions
 	install -m755 -d $(DESTDIR)/usr/sbin
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/modules
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
+	install -m755 -d $(DESTDIR)/etc/apm/event.d
 	install -m755 -d $(DESTDIR)/etc/power/scripts.d
 	install -m755 -d $(DESTDIR)/etc/power/event.d
 	install -m755 -d $(DESTDIR)/lib/udev/rules.d
@@ -67,6 +70,9 @@
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/modules
 	install -m644 etc/laptop-mode/laptop-mode.conf $(DESTDIR)/etc/laptop-mode/laptop-mode.conf
 	install -m644 etc/laptop-mode/conf.d/* $(DESTDIR)/etc/laptop-mode/conf.d
+	install -m755 etc/acpi/actions/* $(DESTDIR)/etc/acpi/actions
+	install -m644 etc/acpi/events/* $(DESTDIR)/etc/acpi/events
+	install -m755 etc/apm/event.d/* $(DESTDIR)/etc/apm/event.d
 	install -m755 etc/power/scripts.d/* $(DESTDIR)/etc/power/scripts.d
 	install -m755 etc/power/event.d/* $(DESTDIR)/etc/power/event.d
 	install -m644 etc/rules/99-laptop-mode.rules $(DESTDIR)/lib/udev/rules.d

## laptop-mode-tools 1.63

=== debian/changelog ===
laptop-mode-tools (1.63-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Do not ship obsolete acpi/apm scripts.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 28 Jul 2013 18:18:49 +0530

laptop-mode-tools (1.63-2) unstable; urgency=low

  * Upload to unstable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 06 May 2013 10:37:25 +0530

laptop-mode-tools (1.63-1) experimental; urgency=low

  * [ba00340] Imported Upstream version 1.63
  * [dad16df] Disable ethernet based on multiple reports of driver failure
  * [6573fe0] clean series file
  * [efce0f7] Do not ship the board-specific/ folder in default installs
  * [9534fbe] Convert debian/copyright to format 1.0
  * [857918c] Update Standards Version to 3.9.4
  * [1c821a8] Clean-up and add new patch for initscript LSB Headers

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 30 Mar 2013 16:05:51 +0530

laptop-mode-tools (1.62-1) experimental; urgency=low

  * New Upstream Release
  * [8302c24] Fix spec file for RPM syntax
  * [fcf6a8c] Append to stdout/stderr to avoid truncating file logs.
    Thanks to Bjørn Mork (Closes: #668611)
  * [c54ef01] Fix shell vaiable declaration.
    Thanks to Robert Milasan
  * [98fc714] Fix reading config files
  * [2ae260f] Clean up reliance on "enabled" file.
    Thanks to Jasmine Hassan (Closes: #690748)
  * [18e8e70] we never seemed to have shipped a defaults config file
  * [9abc752] cleaner output when asking status. Thanks Jasmine Hassan
  * [c6816f7] Organize state/STATE tracking so that we get actual results
  * [1b99b55] Trim mount point display. Thanks to Jasmine Hassan
  * [a5446b3] Do not touch autonegotiation settings
  * [5318b69] Add systemd support
  * [87850ac] Use -g with killall. This will kill the spawned process too
  * [d3009eb] Re-order the argument parsing code out of lmt_main_function()
    because we need it when we need to kill the polling daemon
  * [213c78b] Handle creation of enabled file through systemd's tmpfiles.d
    framework

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 27 Oct 2012 14:50:49 +0530

laptop-mode-tools (1.61-2ubuntu1) raring; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/rules: Do not ship obsolete acpi/apm scripts.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Thu, 31 Jan 2013 19:20:32 +0100

laptop-mode-tools (1.61-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Do not ship obsolete acpi/apm scripts.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 27 Jun 2012 20:18:36 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: laptop-mode-tools
 Section: utils
 Priority: optional
-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Homepage: http://www.samwel.tk/laptop_mode/
 Uploaders: Bart Samwel <bart@samwel.tk>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 
 Package: laptop-mode-tools
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -50,15 +50,14 @@
 
 	# Add here commands to install the package into debian/laptop-mode-tools.
 	install -m755 -d $(DESTDIR)/etc/laptop-mode
-	install -m755 -d $(DESTDIR)/etc/acpi/events
-	install -m755 -d $(DESTDIR)/etc/acpi/actions
 	install -m755 -d $(DESTDIR)/usr/sbin
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/modules
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
-	install -m755 -d $(DESTDIR)/etc/apm/event.d
+	install -m755 -d $(DESTDIR)/usr/lib/tmpfiles.d
 	install -m755 -d $(DESTDIR)/etc/power/scripts.d
 	install -m755 -d $(DESTDIR)/etc/power/event.d
 	install -m755 -d $(DESTDIR)/lib/udev/rules.d
+	install -m755 -d $(DESTDIR)/lib/systemd/system
 	install -m755 -d $(DESTDIR)/usr/lib/pm-utils/sleep.d
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/batt-start
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/batt-stop
@@ -70,13 +69,12 @@
 	install -m755 -d $(DESTDIR)/etc/laptop-mode/modules
 	install -m644 etc/laptop-mode/laptop-mode.conf $(DESTDIR)/etc/laptop-mode/laptop-mode.conf
 	install -m644 etc/laptop-mode/conf.d/* $(DESTDIR)/etc/laptop-mode/conf.d
-	install -m755 etc/acpi/actions/* $(DESTDIR)/etc/acpi/actions
-	install -m644 etc/acpi/events/* $(DESTDIR)/etc/acpi/events
-	install -m755 etc/apm/event.d/* $(DESTDIR)/etc/apm/event.d
 	install -m755 etc/power/scripts.d/* $(DESTDIR)/etc/power/scripts.d
 	install -m755 etc/power/event.d/* $(DESTDIR)/etc/power/event.d
 	install -m644 etc/rules/99-laptop-mode.rules $(DESTDIR)/lib/udev/rules.d
 	install -m755 etc/rules/lmt-udev $(DESTDIR)/lib/udev/lmt-udev
+	install -m644 etc/systemd/laptop-mode.service $(DESTDIR)/lib/systemd/system/laptop-mode.service
+	install -m644 etc/systemd/laptop-mode.conf.tmpfiles $(DESTDIR)/usr/lib/tmpfiles.d/laptop-mode.conf
 	install -m755 usr/lib/pm-utils/sleep.d/* $(DESTDIR)/usr/lib/pm-utils/sleep.d
 	install -m755 usr/sbin/laptop_mode $(DESTDIR)/usr/sbin
 	install -m755 usr/sbin/lm-syslog-setup $(DESTDIR)/usr/sbin

## laptop-mode-tools 1.64

=== debian/changelog ===
laptop-mode-tools (1.64-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Do not ship obsolete acpi/apm scripts.

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Tue, 22 Oct 2013 21:44:06 -0600

laptop-mode-tools (1.64-1) unstable; urgency=low

  * [c27e6b2] update installed file name, now README.md
  * [c44f0ce] Imported Upstream version 1.64
    (Closes: #686243, #711689)
  * [5535f60] Add lmt graphical configuration tool
  * [4f8d86e] Refresh patches
  * [293bd8b] Add NEWS file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 15 Sep 2013 21:38:37 +0530

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Package: laptop-mode-tools
 Architecture: all
 Depends: ${misc:Depends}, lsb-base (>= 3.0-10), util-linux (>= 2.13), psmisc
-Recommends: hdparm, sdparm, ethtool, net-tools, wireless-tools, udev
-Suggests: acpid | apmd | pbbuttonsd | pmud, hal
+Recommends: hdparm, sdparm, ethtool, net-tools, wireless-tools, udev, python-qt4
+Suggests: acpid | apmd | pbbuttonsd | pmud, hal, python
 Conflicts: noflushd
 Description: Tools for Power Savings based on battery/AC status
  Laptop mode is a Linux kernel feature that allows your laptop to save

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	# Add here commands to install the package into debian/laptop-mode-tools.
 	install -m755 -d $(DESTDIR)/etc/laptop-mode
 	install -m755 -d $(DESTDIR)/usr/sbin
+	install -m755 -d $(DESTDIR)/usr/share/applications
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/modules
 	install -m755 -d $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
 	install -m755 -d $(DESTDIR)/usr/lib/tmpfiles.d
@@ -81,6 +82,8 @@
 	install -m755 usr/sbin/lm-profiler $(DESTDIR)/usr/sbin
 	install -m755 usr/share/laptop-mode-tools/modules/* $(DESTDIR)/usr/share/laptop-mode-tools/modules
 	install -m755 usr/share/laptop-mode-tools/module-helpers/* $(DESTDIR)/usr/share/laptop-mode-tools/module-helpers
+	install -m755 gui/LMT.py $(DESTDIR)/usr/sbin/lmt-config-gui
+	install -m644 gui/laptop-mode-tools.desktop $(DESTDIR)/usr/share/applications/
 
 # Build architecture-independent files here.
 binary-arch: build install

=== debian/watch ===
version=3
http://samwel.tk/laptop_mode/packages/tarball \
http://samwel.tk/laptop_mode/tools/downloads/laptop-mode-tools_(.*)\.tar\.gz

## laptop-mode-tools 1.66

=== debian/changelog ===
laptop-mode-tools (1.66-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Do not ship obsolete acpi/apm scripts.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 25 Dec 2014 11:32:00 +0100

laptop-mode-tools (1.66-2) unstable; urgency=medium

  * [c96a271] Add NEWS entry about usb-autosuspend module's removal
    (Closes: #762173)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 19 Oct 2014 20:14:48 +0530

laptop-mode-tools (1.66-1) unstable; urgency=medium

  * [d7a9738] Imported Upstream version 1.66
  * [2f27e53] Drop Suggests on hal (Closes: #761334)
  * [ddb2ff8] Drop patches not needed anymore
  * [d864cd0] Add override for python dependency

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 26 Sep 2014 20:26:59 +0530

laptop-mode-tools (1.65-2) unstable; urgency=medium

  * [bd609f9] Add patch delete-usb-module.patch to deactivate usb-module
    (Closes: #752681)
  * [d3e7e01] Refresh and Drop patches, where applicable
  * [6cac1dd] Add Keywords section to comply with fd.o
  * [33f325f] Fix init script for  facility

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 19 Jul 2014 16:52:20 +0530

laptop-mode-tools (1.65-1) unstable; urgency=medium

  * [f34c67a] Fix .desktop inconveniences.
    Thanks to Torquil Macdonald Sørensen (Closes: #729804)
  * [21d0186] Imported Upstream version 1.65
    (Closes: #751455)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 19 Jun 2014 11:59:36 +0530

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: all
 Depends: ${misc:Depends}, lsb-base (>= 3.0-10), util-linux (>= 2.13), psmisc
 Recommends: hdparm, sdparm, ethtool, net-tools, wireless-tools, udev, python-qt4
-Suggests: acpid | apmd | pbbuttonsd | pmud, hal, python
+Suggests: acpid | apmd | pbbuttonsd | pmud
 Conflicts: noflushd
 Description: Tools for Power Savings based on battery/AC status
  Laptop mode is a Linux kernel feature that allows your laptop to save

=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,7 @@
 	dh_installdocs
 	dh_installinit --name laptop-mode -- defaults 99
 	dh_installman man/*
+	dh_lintian
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## laptop-mode-tools 1.68

=== debian/changelog ===
laptop-mode-tools (1.68-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Do not ship obsolete acpi/apm scripts.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 30 Nov 2015 22:31:34 -0500

laptop-mode-tools (1.68-3) unstable; urgency=medium

  * [de3ca4e] Add patch to fix spam of messages on console.
    Thanks to Moritz Muehlenhoff (Closes: #797805)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 03 Sep 2015 16:39:32 +0530

laptop-mode-tools (1.68-2) unstable; urgency=medium

  * [b7e3536] Add patch to add ExecReload target for systemd

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 29 Aug 2015 20:53:52 +0530

laptop-mode-tools (1.68-1) unstable; urgency=medium

  * [cdd4475] Add timer/polling service in debian/rules
  * [614f267] Start systemd on install
  * [bf02434] Add debian/gbp.conf
  * [a49399f] Update release-checklist

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 24 Aug 2015 16:15:23 +0200

laptop-mode-tools (1.67-1) unstable; urgency=medium

  * [eec4249] Enable systemd during install
  * [0387859] Imported Upstream version 1.67
    (Closes: #782076, #781436, #771529)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 03 Jul 2015 22:30:48 +0530

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 XSBC-Original-Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
 Homepage: http://www.samwel.tk/laptop_mode/
 Uploaders: Bart Samwel <bart@samwel.tk>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), dh-systemd
 Standards-Version: 3.9.4
 
 Package: laptop-mode-tools

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,8 @@
 	install -m644 etc/rules/99-laptop-mode.rules $(DESTDIR)/lib/udev/rules.d
 	install -m755 etc/rules/lmt-udev $(DESTDIR)/lib/udev/lmt-udev
 	install -m644 etc/systemd/laptop-mode.service $(DESTDIR)/lib/systemd/system/laptop-mode.service
+	install -m644 etc/systemd/laptop-mode.timer $(DESTDIR)/lib/systemd/system/laptop-mode.timer
+	install -m644 etc/systemd/lmt-poll.service $(DESTDIR)/lib/systemd/system/lmt-poll.service
 	install -m644 etc/systemd/laptop-mode.conf.tmpfiles $(DESTDIR)/usr/lib/tmpfiles.d/laptop-mode.conf
 	install -m755 usr/lib/pm-utils/sleep.d/* $(DESTDIR)/usr/lib/pm-utils/sleep.d
 	install -m755 usr/sbin/laptop_mode $(DESTDIR)/usr/sbin
@@ -95,6 +97,8 @@
 	dh_installchangelogs Documentation/revision-history.txt
 	dh_installdocs
 	dh_installinit --name laptop-mode -- defaults 99
+	dh_systemd_enable
+	dh_systemd_start
 	dh_installman man/*
 	dh_lintian
 	dh_compress

## laptop-mode-tools 1.70

=== debian/changelog ===
laptop-mode-tools (1.70-2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Do not ship obsolete acpi/apm scripts in rules file.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 04 Jan 2017 12:08:01 +0530

laptop-mode-tools (1.70-2) unstable; urgency=medium

  * [873f6a4] Add patch to fix import error

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 16 Oct 2016 15:18:59 +0530

laptop-mode-tools (1.70-1) unstable; urgency=medium

  * [22d254b] Prepare Laptop Mode Tools 1.70 release
  * [e187118] Add AHCI Runtime PM support
  * [0745723] Fix defaults for Intel P State Driver.
    Thanks to George Caswell and Matthew Gabeler-Lee (Closes: #814578)
  * [ad5a1af] Fix init script for same cleanups as systemd service
  * [dafc4c9] Clean up state before/after execution.
    Thanks to Tomas Janousek (Closes: #798777)
  * [d8827ef] Make CPU Hotplugging more customized.
    Thanks to cjones24
  * [6e4e9ab] Don't act on remove event for USB devices
  * [c59e637] Relax execution of full LMT modules (Closes: #752718)
  * [09b9831] Try harder to determine power state.
    Thanks to github/snugglej and github/0rkaM
  * [f945073] Bump Standards Version to 3.9.8
  * [93f5fde] Use dh_prep instead of dh_clean -k
  * [b61bf1c] Bump debhelper compatibility to 9

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 24 Sep 2016 19:45:20 +0530

laptop-mode-tools (1.69.2-1) unstable; urgency=medium

  Minor Bug Fix Release

  * [8bbf7b9] Set limit of tasks to infinity

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 27 Mar 2016 21:44:57 +0530

laptop-mode-tools (1.69.1-1) unstable; urgency=medium

  * [380dc06] Prepare 1.69.1 minor bugfix release
  * [6c65fcc] Add  polkit file in RPM
  * [c0bc391] Update default list of USB type devices
  * [96e4508] Relax the list of blacklisted USB devices
  * [ff03abd] USB HID core driver is needed for blacklisting other
    devices of same family
  * [8213f87] When on AC, revert back to full power
  * [458e7da] Log after completion of execution
  * [e58d41e] Fix bashism. array will fail for string comparison in dash
  * [355a33e] We need to log before execution otherwise the shell is
    lost
  * [6b9a844] Break cyclic loop. Hopefully my last systemd error :-(

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 15 Mar 2016 16:21:03 +0530

laptop-mode-tools (1.69-1) unstable; urgency=medium

  New Upstream Release [ The Maha Shiva Ratri Release ]

  * [3949674] Update details about runtime-pm in manpage
  * [83b49f5] Call lmt-udev in lmt-poll. Don't call the laptop_mode
    binary directly. Helps in a lot of housekeeping
  * [fdd6b5d] Direct stderr/stdout to journal
  * [2ce90a8] Install the new .timer and poll service
  * [56db2fb] Wait for all forked modules to complete.
    Thanks to Tomas Janousek
  * [ee1ffe7] Add new module: cputhotplug
  * [c08cc13] CPU online/offine is reverse here
  * [49451d1] Install policykit file
  * [cc9f46c] Detach polling daemon from main process.
    Thanks to Tomas Ebenlendr (Closes: #807134)
  * [b0d1a88] Do NOT touch speed is throttling is not set.
    Thanks to Steve McIntyre (Closes: #807338)
  * [733eb81] Restore to MAX speed when back to AC Power
  * [67a5cf1] Fix manpage about DISABLE_ETHERNET_ON_BATTERY setting.
    Thanks to Daniel Kahn Gillmor (Closes: #786444)
  * [c878358] Update documentation about ENABLE_LAPTOP_MODE_ON_AC
    setting. Thanks to Daniel Kahn Gillmor
  * [811228d] Fix syntax error in install.sh.
    Thanks to Latot
  * [650c85a] Fix typo in /lib/udev/lmt-udev.
    Thanks to Kelsey Byers (Closes: #809181)
  * [57e2cf4] Change powersaving default for USB class devices
    (Closes: #812541)
  * [ec0fe8b] Drop usbhid from default (black)list
  * [06770f7] Add usb keyboard driver to the list default list
  * [1302f8d] Honor device plug/unplug events on a per device basis;
    like how Chromium initially submitted this patch
  * [1e3e0a1] Update links in README.md
  * [faa613c] Update new github homepage location
  * [d904d89] Drop 2 patches that have been applied upstream
  * [2c410ac] Ship new policykit action file
  * [e967db9] Prepare 1.69 release

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 07 Mar 2016 18:16:36 +0530
